AOZ Studio Beta - Bug #678

Lines not straight
02/25/2021 04:04 PM - Paul Kitching

Status: Closed Start date: 02/25/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B6a)

Description

This gives a line that isn't straight across (see pic):

#manifest: "amiga"
#splashScreen:False

cls O

screen open 1,640,512,4,hires+laced
draw 461,100 to 481,100

wait key

end

History

#1 - 03/19/2021 09:46 PM - Brian Flanagan
- Estimated time set to 2:00 h
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B5)

Verified. Also found the problem to be bad whether the screen is Lowres, Hires, Laced, etc.
The problem is (at least in part) that the lines are not of uniform thickness.

I've seen the same problem where a box is drawn at the screen edges, but it is only visible part way across the the screen.

#2 - 03/25/2021 04:38 PM - Brian Flanagan

Also verified that this problem exists in both Amiga and AOZ manifests.

Here's an example in AOZ mode. | used a very small screen size to magnify and make the problem clear

#splashScreen:False
#displayWidth: 160
#displayHeight: 100

screen open 1,120,100,4,Lowres
Palette 0, SFFFFFF

Ink 1

cls O

draw 61,10 to 81,10

wait key
end

#3 - 03/25/2021 04:39 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B5) to 1.0.0 (B6a)

This problem still exists in B6a.

#4 - 03/31/2021 03:36 PM - Francois Lionet

- Status changed from New to Resolved

#5 - 04/01/2021 09:58 AM - Brian Flanagan

- Status changed from Resolved to Closed
- Target version set to 1.0.0 (B7)
Works in B7!
